/*
 * aTunes
 * Copyright (C) Alex Aranda, Sylvain Gaudard and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.modules.hotkeys;

final class HotkeyConstants {

	public static final int RIGHT_ARROW = 39;
	public static final int LEFT_ARROW = 37;
	public static final int UP_ARROW = 38;
	public static final int DOWN_ARROW = 40;

    public static final int HOTKEY_NEXT = 1;
    public static final int HOTKEY_PREVIOUS = 2;
    public static final int HOTKEY_VOLUME_UP = 3;
    public static final int HOTKEY_VOLUME_DOWN = 4;
    public static final int HOTKEY_PAUSE = 5;
    public static final int HOTKEY_STOP = 6;
    public static final int HOTKEY_TOGGLE_WINDOW_VISIBILITY = 7;
    public static final int HOTKEY_MUTE = 8;
    public static final int HOTKEY_SHOW_OSD = 9;
    
    private HotkeyConstants() {}

}
