/*
 * aTunes
 * Copyright (C) Alex Aranda, Sylvain Gaudard and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.modules.navigator;

import java.util.Map;

import net.sourceforge.atunes.model.ITreeGenerator;
import net.sourceforge.atunes.model.ITreeGeneratorFactory;
import net.sourceforge.atunes.model.ViewMode;

/**
 * Returns tree generators
 * 
 * @author alex
 * 
 */
public class TreeGeneratorFactory implements ITreeGeneratorFactory {

    private Map<ViewMode, ITreeGenerator> generators;

    @Override
    public void setGenerators(final Map<ViewMode, ITreeGenerator> generators) {
	this.generators = generators;
    }

    @Override
    public ITreeGenerator getTreeGenerator(final ViewMode viewMode) {
	ITreeGenerator generator = null;
	if (generators != null) {
	    generator = generators.get(viewMode);
	}
	return generator;
    }

}
